<InteractionRules xmlns = "irXSD">

    <InteractionRule name = "Switch_Explanation_Generation" initial = "Wait_Gaze_Behavior" priority = "1">

        <State id = "Wait_Gaze_Behavior">
            <onEntry>
                <function startCommunicationRobotAct = "Wait_1_Second"/>
            </onEntry>
            <transition eventTopic = "/Wait_1_Second_end" target = "Query_Model"/>
        </State>

        <State id = "Query_Model">
            <onEntry>
                <!-- The medicine touch scenario will query the model via bridge in this state -->
            </onEntry>
            <transition eventTopic = "/model_bridge_strategy_updated" target = "IR_WM_Condition"/>
        </State>

        <!-- Check the WorkingMemory entry to decide which condition we have in the experiment, start corresponding IR -->
        <State id = "IR_WM_Condition">
            <onEntry>
                <if cond = "scenario_adaptive_model_active">
                    <function startInteractionRule = "Adaptive_Explanation_Generation"/>
                <else>
					<function startInteractionRule = "Affirmation_Explanation_Generation"/>
                </else>
                </if>
            </onEntry>
        </State>

    </InteractionRule>

</InteractionRules>
